Skip to Content Skip to Menu

Joomla 5.0.3 and 4.4.3 Security & Bugfix Releases. Secure. Accessible. Fast. Extendable & yours.

🎉 Joomla 5.0.3, 4.4.3 and 3.10.15-elts are released and it's a safe upgrade! 🥳

The Joomla project has issued Joomla 5.0.3, 4.4.3, and 3.10.15-elts, focusing on security and bug fixes. These updates emphasize Joomla's ongoing commitment to accessible web design, inclusiveness, simplicity, and security.

Important Security Update

There releases address several security vulnerabilities, including one of high severity and two of moderate severity. For a complete list of the five security fixes, please see the official Joomla 5.0.3 and 4.4.3 announcement.

Notable improvements in Joomla 5.0.3

Joomla 5.0.3 fixes several minor bugs too, the most notable fixes being:

  1. Resolving correct display of messages on error pages
  2. Fixed background in full-screen mode in Code Mirror editor
  3. Updated translations

Community Builder Security

We have security-audited Community Builder for these Joomla security findings, confirming it does not contain the vulnerabilities addressed in these Joomla releases.

Moreover, sites using exclusively CB for user management are protected from the high severity issue (affecting past Joomla 4 and 5 versions and fixed by 4.4.3 and 5.0.3 ).

CB sites are also mostly protected from one of the two moderate severity issues (affecting past Joomla 3.7+ versions and fixed in 3.10.15-elts, 4.4.3, and 5.0.3). Our dedication to security, with all changes to Community Builder being security-reviewed, ensures your website remains protected when using Community Builder.

We recommend the latest Joomla updates for all CB sites.

The Amazing Joomla Security Strike Team

Joomla's Security Strike Team works tirelessly to identify and address potential web threats, ensuring the platform remains secure and reliable. The release of Joomla 5.0.3, 4.4.3, and 3.10.15-elts demonstrates their ongoing efforts to protect your website and its users.

Upgrade Today

We highly recommend promptly upgrading all Joomla 5 sites to Joomla 5.0.3, all Joomla 4 sites to 4.4.3, and all Joomla 3 sites to 3.10.15-elts to benefit from these important security fixes. Stay current with Joomla updates for the best possible experience for your website's users and a secure online environment.

If you are not on Joomla 5, we recommend to start planning the Joomla 3->4 mini-migration and/or the Joomla 4->5 upgrade. Joomla 3.10.15-elts (Extended Long Term Security) support ends February 17th 2025, and so will the CB support for Joomla 3 end too.

For more information, visit the official Joomla announcement.

Community Builder Compatibility

The latest Community Builder 2.9.1 and all the latest versions of our CB Add-Ons are fully compatible with Joomla 5.0.3, 4.4.3, and 3.10.15-elts.

Renew Your CB Membership

To fully enjoy the benefits of Joomla 5.0 with the latest compatible CB Add-ons and stellar forum support, renew your Joomlapolis membership today. Gain access to the latest CB Add-on nightlies and support our work.

Thank you for your continued support of Joomla and Community Builder.

Facebook Twitter LinkedIn